Bug 1468201 - A deleted VM state do not change to Archived state
A deleted VM state do not change to Archived state
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Piotr Kliczewski
Ilanit Stein
rhev:vm state
: Regression, TestOnly, ZStream
Depends On:
Blocks: 1479481
  Show dependency treegraph
 
Reported: 2017-07-06 05:50 EDT by Ilanit Stein
Modified: 2017-08-16 14:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479481 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)
evm.log (267.65 KB, application/x-gzip)
2017-07-06 06:17 EDT, Ilanit Stein
no flags Details
automation.log (7.90 KB, application/x-gzip)
2017-07-06 06:18 EDT, Ilanit Stein
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-providers-ovirt/pull/62 None None None 2017-07-17 06:32 EDT

  None (edit)
Description Ilanit Stein 2017-07-06 05:50:06 EDT
Description of problem:

A down VM that is deleted on RHV provider side, move into Unknown state on CFME side, and keeps this state, while it should move into Archived state.
This is even though the VM was refreshed, and long time passed (20 min so far).

Version-Release number of selected component (if applicable):
CFME-5.8.1/RHV-4.1.3

Additional info:
On CFME, under Archived VMs, there are VMs in Archived state, but those are VMs taken from DB history records.
Comment 2 Ilanit Stein 2017-07-06 06:17 EDT
Created attachment 1294908 [details]
evm.log
Comment 3 Ilanit Stein 2017-07-06 06:18 EDT
Created attachment 1294909 [details]
automation.log
Comment 4 Ilanit Stein 2017-07-06 07:42:26 EDT
There is a difference in regards to VMs, that were deleted on provider side,
between VMWare and RHV.

For VMWare (VSphere55), 
such VMs will be displayed only under "Archived",
and it In the VM details page, the power state is "Unknown".

While for RHV,
such VMs are keep on being displayed under provider VMs, with power state: "Unknown",
but they are not displayed under the Archived VMs
Comment 5 Piotr Kliczewski 2017-07-13 08:01:40 EDT
I found and issue with vm UPDATE statement. After playing with bunch of different solutions I noticed that the problem is gone with the latest master. I am trying to understand what has changed to make sure the fix was back ported.

Note You need to log in before you can comment on or make changes to this bug.